Bug 801397 - nfs-nlm:ping_pong test fails
nfs-nlm:ping_pong test fails
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 07:51 EST by Saurabh
Modified: 2016-01-19 01:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-04 07:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-03-08 07:51:13 EST
Description of problem:

ping_pong starts throwing error when two sessions of ping_pong are started on same file


Version-Release number of selected component (if applicable):
3.3.0qa26

How reproducible:
always

Steps to Reproduce:
1. create a distribute replicate volume
2. start ping_pong test on the nfs mount
3. start another ping_pong test on the same file

another trial with two mounts for the same volume and then trying the ping_pong 
  
Actual results:
the ping pong test starts throwing error
and in second trial with different mounts, but pingpong on same file then both tests were hung


Expected results:
the ping_pong starts putting locks , but if one more session is started the number of locks put per second becomes lower


Additional info:

first scenario, display messages from pingpong

lock at 0 failed! - Resource deadlock avoided
lock at 0 failed! - Resource deadlock avoided
lock at 0 failed! - Resource deadlock avoided
lock at 0 failed! - Resource deadlock avoided
lock at 0 failed! - Resource deadlock avoided
lock at 0 failed! - Resource deadlock avoided
lock at 0 failed! - Resource deadlock avoided
lock at 0 failed! - Resource deadlock avoided


nfs logs,


[2012-03-08 07:47:41.668219] W [fd-lk.c:428:print_lock_list] 0-fd-lk: lock list:
[2012-03-08 07:47:41.668896] W [fd-lk.c:428:print_lock_list] 0-fd-lk: lock list:
[2012-03-08 07:47:41.670558] W [fd-lk.c:428:print_lock_list] 0-fd-lk: lock list:
[2012-03-08 07:47:41.671543] W [fd-lk.c:428:print_lock_list] 0-fd-lk: lock list:
[2012-03-08 07:47:41.672086] W [fd-lk.c:428:print_lock_list] 0-fd-lk: lock list:
[2012-03-08 07:47:41.672318] W [fd-lk.c:428:print_lock_list] 0-fd-lk: lock list:
[2012-03-08 07:47:41.672435] W [fd-lk.c:428:print_lock_list] 0-fd-lk: lock list:
Comment 1 Rajesh 2012-04-04 07:28:04 EDT
Ping pong test with 2 locks results in deadlock in both gNFS and kernel NFS.
the test passes with ~10 locks on the latest git HEAD.

Note You need to log in before you can comment on or make changes to this bug.